libstdc++

Classes | Public Types | Public Member Functions | Friends | List of all members
std::cauchy_distribution< _RealType > Class Template Reference
Normal Distributions

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| cauchy_distribution (_RealType __a=_RealType(0), _RealType __b=_RealType(1))
| cauchy_distribution (const param_type &__p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | a () const
_RealType | b () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const cauchy_distribution &__d1, const cauchy_distribution &__d2)

## Detailed Description

### template<typename _RealType = double>
class std::cauchy_distribution< _RealType >

A cauchy_distribution random number distribution.

The formula for the normal probability mass function is

Definition at line 2929 of file random.h.

## Member Typedef Documentation

template<typename _RealType = double>

typedef _RealType std::cauchy_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 2932 of file random.h.

## Member Function Documentation

template<typename _RealType = double>

result_type std::cauchy_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3020 of file random.h.

References std::numeric_limits< _Tp >::max().

template<typename _RealType = double>

result_type std::cauchy_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3013 of file random.h.

References std::numeric_limits< _Tp >::min().

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator >

result_type std::cauchy_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3028 of file random.h.

References std::cauchy_distribution< _RealType >::operator()().

Referenced by std::cauchy_distribution< _RealType >::operator()().

template<typename _RealType = double>

param_type std::cauchy_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 2998 of file random.h.

Referenced by std::operator>>().

template<typename _RealType = double>

void std::cauchy_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3006 of file random.h.

template<typename _RealType = double>

void std::cauchy_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 2980 of file random.h.

## Friends And Related Function Documentation

template<typename _RealType = double>

bool operator== | ( | const cauchy_distribution< _RealType > & | __d1,
|  | const cauchy_distribution< _RealType > & | __d2
| ) |  |

friend

Return true if two Cauchy distributions have the same parameters.

Definition at line 3063 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc